SUBROUTINE   WRITING6(P, N, K, KH, simu, burnin, sim, Msig,Vsig,Mbet,Varbet1,Mrang, Vrang, &
			ISEED, STR, Mthet2, Vthet2, Momega,Vomega, Ms,Vs, &
			thet2change,thet1change,c1,c2,c3,clam45,c4,c5,c45,clam67,c6,c7,c67,c8,c9,omegachange,int4, &
			omgig,priortheta,Mrho,Vrho,Msnu,Vsnu,Mtsnu,Vtsnu,IFCOV,Mtau,Vtau)


	IMPLICIT NONE


	LOGICAL :: file, status, position
	INTEGER :: UNIT, I, J, P, K, simu, burnin,T, sim, MC,omgig, N, KH, priortheta,IFCOV
	DOUBLE PRECISION :: Msig, Vsig, Mbet(K), Varbet1(KH,KH), Mrang, Vrang, Mtau, Vtau
	DOUBLE PRECISION :: gamchange,thet2change,thet1change
	INTEGER ::  ISEED
	CHARACTER :: STR*30 !File name

	DOUBLE PRECISION :: Mthet2, Vthet2
	DOUBLE PRECISION :: Momega,Vomega, Ms,Vs,omegachange,int4,Mrho,Vrho
	DOUBLE PRECISION :: c1,c2,c3,clam45,c4,c5,c45,clam67,c6,c7,c67,c8,c9
	DOUBLE PRECISION :: Msnu,Vsnu,Mtsnu,Vtsnu

!------------------------------
	OPEN(unit=2, file='results/resul.txt',status='UNKNOWN')


	WRITE(2,550) 'Number of observations=  ', P
550	FORMAT(1X,A25,I10,/)
	WRITE(2,560) 'Number of drawings=      ', SIMU
560	FORMAT(1X,A25,I10,/)
	WRITE(2,560) 'Burnin=                  ', burnin
	WRITE(2,560) 'Number of saved drawings=', sim

570	FORMAT(1X,A25,E16.8,/)

580	FORMAT(1X,A35,/)

	WRITE(2,570) 'c1-beta=                 ', c1
	WRITE(2,570) 'c2-sigma^-2=             ', c2
	WRITE(2,570) 'c3-sigma^-2=             ', c3

IF(omgig==1) THEN
	WRITE(2,570) 'clam45-lambda-omega2=    ', clam45
	WRITE(2,570) 'c4-delta-omega2=         ', c4
	WRITE(2,570) 'c5-gamma-omega2=         ', c5
ELSE
	WRITE(2,570) 'c45-lambda-Exp-omega2=   ', c45
END IF

	WRITE(2,570) 'c8-theta1=               ', c8
	WRITE(2,570) 'c9-theta2=               ', c9

IF(priortheta==1) THEN
	WRITE(2,580) 'rho and theta2 prior indep'
ELSE
	WRITE(2,580) 'theta1 and theta2 prior indep'
ENDIF


	WRITE(2,570) 'Prob. accept theta2=     ', thet2change
	WRITE(2,570) 'Prob. accept theta1=     ', thet1change
	WRITE(2,570) 'Prob. accept omega2=     ', omegachange


	WRITE(2,560) 'Seed=                    ', ISEED

	WRITE(2,572) 'Marginal likelihood=     ', int4
572	FORMAT(1X, A25, E16.8, /)

	WRITE(2,575) STR
575 FORMAT(1X,A25/)


	WRITE(2,600) 'RESULTS'
600 FORMAT(/, 1X,A7,/,/)

IF(k==5) THEN

		WRITE(2,610) 'E*[BETA]',(MBET(I),I=1,K)
	610	FORMAT(/,1X,A14,/,/,1X,5F10.4)	


		WRITE(2,630) 'VAR*[BETA]'
	630	FORMAT(/,1X,A14,/)
	
		WRITE(2,640)((Varbet1(I,J),J=1,K),I=1,K)
	640	FORMAT(1X,5F12.4)


ELSE IF(k==6)  THEN

			WRITE(2,611) 'E*[BETA]',(MBET(I),I=1,K)
	611	FORMAT(/,1X,A14,/,/,1X,6F10.4)	


		WRITE(2,630) 'VAR*[BETA]'
	
		WRITE(2,641)((Varbet1(I,J),J=1,K),I=1,K)
	641	FORMAT(1X,6F12.4)


ELSE IF(k==7)  THEN


		WRITE(2,612) 'E*[BETA]',(MBET(I),I=1,K)
	612	FORMAT(/,1X,A14,/,/,1X,7F10.4)	


		WRITE(2,630) 'VAR*[BETA]'
	
		WRITE(2,642)((Varbet1(I,J),J=1,K),I=1,K)
	642	FORMAT(1X,7F12.4)
END IF

	WRITE(2,650)  'E*[Sigma^{-2}]=',Msig , 'Var*[Sigma^{-2}]=',Vsig 
650	FORMAT(/,1X,A16,1X,F20.14, /,1x,A16,1X,F20.14,/)

	WRITE(2,650)  'E*[Sigma]=',Ms , 'Var*[Sigma]=',Vs 
	
	WRITE(2,650)  'E*[omega2]=',Momega ,'Var*[omega2]=',Vomega

	WRITE(2,650)  'E*[tau]=',Mtau,'Var*[tau]=',Vtau

	WRITE(2,650)  'E*[theta1]=',Mrang ,'Var*[theta1]=',Vrang
	
	IF(priortheta==1)  WRITE(2,650) 'E*[rho]=',Mrho ,'Var*[rho]=',Vrho

	WRITE(2,650)  'E*[theta2]=',Mthet2 ,'Var*[theta2]=',Vthet2

	WRITE(2,650)  'E*[s2*e(nu)]=',Msnu,'Var*[s2*e(nu)]=',Vsnu

	WRITE(2,650)  'E*[w/e(nu/2)]=',Mtsnu ,'Var*[w/e(nu/2)]=',Vtsnu

	WRITE(2,*) '*******************************************************************'

	CLOSE(2)

END SUBROUTINE WRITING6



