!This subroutine calculates the distance matrix
!INPUT: ALLDATA,P,N,MV
!OUTPUT: DIST

SUBROUTINE DISTANCE1(ALLDATA,P,N,MV,DIST)

	IMPLICIT NONE

	INTEGER :: I, J, P, t,N,MV
	DOUBLE PRECISION :: ALLDATA(N,MV)
	DOUBLE PRECISION :: DIST(N,N)

!Distance matrix

	DO I=1,P
		DIST(I,I)=0
		DO J=I+1,P
			DIST(I,J)=SQRT((ALLDATA(I,2)-ALLDATA(J,2))**2+(ALLDATA(I,3)-ALLDATA(J,3))**2)
			DIST(J,I)=DIST(I,J)
		END DO
	END DO

END SUBROUTINE DISTANCE1
