	double precision function matern(nu,phi,dist)
	integer nin, max, k
	parameter(max=100)
	double precision bs(max), x, xnu
	double precision nu, phi,dist
	double precision two, const, bsk, gam

	xnu=nu-int(nu)
	nin=int(nu)+1
	x=dist*phi
	two=2
	call dbsks(xnu, x, nin, bs)

!--------------------------------------------------------
! THIS CODE EVALUATES THE INTERATIVE DBSKS IMSL SUBROUTINE
!	do 10 k=1,nin
!		write(7,99) xnu+k-1, x, bs(k)
!99		format(' K sub ',f6.3, ' (', f6.3, ') = ' f15.10)
!10	continue
!--------------------------------------------------------


	bsk = bs(nin)
	gam =dgamma(nu)
	const = two**(nu-1)
	matern = 1/const * 1/gam * (x)**nu * bsk

	return
	end


! Note: nu = Smoothness Parameter
!		phi = 1/Range Parameter


