!Marginal likelihood p(x|Model)

	SUBROUTINE MARGLIKE(LIK,sib,delta,int4)

	USE NUMERICAL_LIBRARIES

	IMPLICIT NONE

	INTEGER :: I, J, sib, flag
	DOUBLE PRECISION :: LIK(sib),delta,int4
	DOUBLE PRECISION :: ints, sum1,sum2,aux,aux1,denom
	

	int4=1.0d0

	ints=0.0d0
	DO I=1,sib
		ints=ints+1/LIK(I)
	END DO

	ints=sib/ints

	flag=0
	DO WHILE (abs(int4-ints).gt.(0.01d0*int4)) 
		
		if(flag.gt.0) ints=int4

		sum1=0
		sum2=0

		DO I=1,sib
			denom=delta*ints+(1-delta)*LIK(I)
			sum1=sum1+LIK(I)/denom
			sum2=sum2+1/denom
		END DO
	
		aux=delta*sib/(1-delta)
		aux1=aux/ints
		aux=aux+sum1
		aux1=aux1+sum2
		int4=aux/aux1

		flag=1

	END	DO 

	END SUBROUTINE MARGLIKE
