 
   SUBROUTINE READDATA2(DATAFILE,ALLDATA,P,N,MV,STR)
   
   	IMPLICIT NONE

	LOGICAL :: FILE, ACTION
	INTEGER :: IOS, UNIT, NV, I, J, P, N,MV
	CHARACTER :: STR1*30, STR*30, DATAFILE*30
	DOUBLE PRECISION :: VAR(MV), ALLDATA(N,MV)

   !Reading the data file
  
	OPEN(UNIT=1,FILE=DATAFILE,STATUS="OLD", ACTION="READ", IOSTAT=ios)

	IF(ios /=0) THEN
		PRINT *, "Error during opening the data file. Please, try again"
	ELSE 
		PRINT *, "OK"
	END IF

	READ(1,'(A30)') STR1
	
	STR=STR1
	
	READ(1,*) NV

	PRINT *, STR, NV
	
	DO I=1,NV
		READ(1,'(a25)') STR1 !Names of the variables
		PRINT *, STR1
    END DO

	DO I=1,P
		READ(1,*) (VAR(J),J=1,NV)
		DO J=1,NV
			ALLDATA(I,J)=VAR(J)
		END DO
	END DO

!Change FORMAT to read a data set with different characteristics

	IF(nv.eq.5)	THEN
		WRITE (*,10) ((ALLDATA(I,J),J=1,NV),I=1,P)
10		FORMAT(F6.1,1X,F6.2,1X,F6.2,1X,F8.2,1X,F3.0) !RAIN1+TOPOCLUS
	ELSE IF(nv.eq.7) THEN
		WRITE (*,11) ((ALLDATA(I,J),J=1,NV),I=1,P)
11		 FORMAT(F6.1,1X,F6.2,1X,F6.2,1X,F8.2,1X,F8.2,1X,F3.0,1X,F8.2) !hot+cold
	END IF
		
	CLOSE(UNIT=1)

	END SUBROUTINE READDATA2